--- ========================================================= ---
---  Setup Revision, Version, Date and add to AceLibrary
--- ========================================================= ---
local VERSION = tonumber(("$Revision: 44107 $"):match("%d+"))

local Sphere = Sphere
Sphere_ClassModule_Rogue = Sphere:NewModule("ClassModule_Rogue", "AceEvent-2.0")
local self = Sphere_ClassModule_Rogue
if Sphere.revision < VERSION then
	Sphere.version = "r" .. VERSION
	Sphere.revision = VERSION
	Sphere.date = ("$Date: 2007-07-18 15:15:25 -0400 (Wed, 18 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end
Sphere.desc = "Rogue Class Module"

--- ========================================================= ---
---  Setup Locals
--- ========================================================= ---
local L = Sphere:L("Sphere_ClassModule_Rogue")

local data = {
}

--- ========================================================= ---
---  On Intitalize / Setup Database
--- ========================================================= ---
function Sphere_ClassModule_Rogue:OnInitialize()
	self.db = Sphere:AcquireDBNamespace("ClassModule_Rogue")
	Sphere:RegisterDefaults("ClassModule_Rogue", "char", {
		settings = {
		},
	})

	Sphere_ClassModule_Rogue:CheckClass()
end

--- ========================================================= ---
---  Setup Options
--- ========================================================= ---

--- ========================================================= ---
---  On Enable
--- ========================================================= ---
function Sphere_ClassModule_Rogue:OnEnable()
end

--- ========================================================= ---
---  On Disable
--- ========================================================= ---
function Sphere_ClassModule_Rogue:OnDisable()
	self:UnregisterAllEvents();
end

--- ========================================================= ---
---  Check Class
--- ========================================================= ---
function Sphere_ClassModule_Rogue:CheckClass()
	local playerClass, englishClass = UnitClass("player");
	if englishClass ~= "ROGUE" then
		Sphere:ToggleModuleActive("ClassModule_Rogue", false)
	else
		Sphere:ToggleModuleActive("ClassModule_Rogue", true)
	end
end